.root-container {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}
main {
  /* display: flex;*/
  display: block;
  flex-grow: 1;
  padding: 1rem 2rem;
  position: relative;
}
main > h1, main > p, main > dataviz-table {
  display: block;
  width: 60%;
}
main > p {
  color: var(--dataviz-highlight-color);
  margin: 3rem 0;
}
main > .chart-container {
  align-items: center;
  background-color: var(--dataviz-subtle-background-color);
  display: flex;
  flex-direction: column;
  height: calc(100% - 6rem);
  justify-content: center;
  position: fixed;
  right: 0;
  top: 0;
  width: calc(40% - 2rem);
}
main > .chart-container dataviz-pie-chart {
  display: inline-block;
  height: 50%;
  width: 80%;
}
main.error {
  display: block;
}
main.error .message {
  color: #a00;
  font-weight: bold;
}
footer {
  background-color: var(--dataviz-highlight-color);
  box-sizing: border-box;
  color: white;
  display: flex;
  height: 6rem;
  padding: 1rem 2rem;
  width: 100%;
}
footer > div:nth-child(2) {
  flex-grow: 1;
  padding: 0 2rem;
}
footer p {
  margin: .4em 0;
}
h1 {
  color: var(--dataviz-highlight-color);
  font-family: serif;
  font-size: 2rem;
  font-weight: 500;
  padding: 0;
}
h2 {
  color: var(--dataviz-highlight-color, #000);
  font-size: 1.15rem;
  text-transform: uppercase;
}
button {
  background-color: var(--dataviz-highlight-color, #fff);
  border: none;
  border-radius: .5em;
  color: var(--dataviz-text-on-highlight-color, #000);
  cursor: pointer;
  font-weight: bold;
  height: 4em;
  margin: 2rem 0;
  outline: none;
  text-transform: uppercase;
  width: calc(80% - 12px);
}
button:hover {
  background-color: var(--dataviz-highlight-color-dark, #fff);
}
